Loading...
Searching...
No Matches
ojph_codestream_gen.cpp File Reference
`#include <climits>`
`#include "ojph_defs.h"`
`#include "ojph_arch.h"`

Go to the source code of this file.

## Namespaces

namespace | ojph
namespace | ojph::local

## Functions

void | ojph::local::gen_mem_clear (void *addr, size_t count)
ui32 | ojph::local::gen_find_max_val32 (ui32 *address)
ui64 | ojph::local::gen_find_max_val64 (ui64 *address)
void | ojph::local::gen_rev_tx_to_cb32 (const void *sp, ui32 *dp, ui32 K_max, float delta_inv, ui32 count, ui32 *max_val)
void | ojph::local::gen_rev_tx_to_cb64 (const void *sp, ui64 *dp, ui32 K_max, float delta_inv, ui32 count, ui64 *max_val)
void | ojph::local::gen_irv_tx_to_cb32 (const void *sp, ui32 *dp, ui32 K_max, float delta_inv, ui32 count, ui32 *max_val)
void | ojph::local::gen_rev_tx_from_cb32 (const ui32 *sp, void *dp, ui32 K_max, float delta, ui32 count)
void | ojph::local::gen_rev_tx_from_cb64 (const ui64 *sp, void *dp, ui32 K_max, float delta, ui32 count)
void | ojph::local::gen_irv_tx_from_cb32 (const ui32 *sp, void *dp, ui32 K_max, float delta, ui32 count)
void | ojph::local::gen_irv_tx_from_cb64 (const ui64 *sp, void *dp, ui32 K_max, float delta, ui32 count)